Loading...
Searching...
No Matches
viterbi_combined.h File Reference
`#include <gnuradio/block.h>`
`#include <gnuradio/trellis/api.h>`
`#include <gnuradio/trellis/calc_metric.h>`
`#include <gnuradio/trellis/core_algorithms.h>`
`#include <gnuradio/trellis/fsm.h>`
`#include <cstdint>`
Include dependency graph for viterbi_combined.h:

Go to the source code of this file.

## Classes

class | gr::trellis::viterbi_combined< IN_T, OUT_T >

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::trellis

## Typedefs

typedef viterbi_combined< std::int16_t, std::uint8_t > | gr::trellis::viterbi_combined_sb
typedef viterbi_combined< std::int16_t, std::int16_t > | gr::trellis::viterbi_combined_ss
typedef viterbi_combined< std::int16_t, std::int32_t > | gr::trellis::viterbi_combined_si
typedef viterbi_combined< std::int32_t, std::uint8_t > | gr::trellis::viterbi_combined_ib
typedef viterbi_combined< std::int32_t, std::int16_t > | gr::trellis::viterbi_combined_is
typedef viterbi_combined< std::int32_t, std::int32_t > | gr::trellis::viterbi_combined_ii
typedef viterbi_combined< float, std::uint8_t > | gr::trellis::viterbi_combined_fb
typedef viterbi_combined< float, std::int16_t > | gr::trellis::viterbi_combined_fs
typedef viterbi_combined< float, std::int32_t > | gr::trellis::viterbi_combined_fi
typedef viterbi_combined< gr_complex, std::uint8_t > | gr::trellis::viterbi_combined_cb
typedef viterbi_combined< gr_complex, std::int16_t > | gr::trellis::viterbi_combined_cs
typedef viterbi_combined< gr_complex, std::int32_t > | gr::trellis::viterbi_combined_ci